org.apache.commons.math3.exception

## Class MathIllegalNumberException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math3.exception.MathIllegalArgumentException
          - - org.apache.commons.math3.exception.MathIllegalNumberException

All Implemented Interfaces:
  java.io.Serializable, ExceptionContextProvider

Direct Known Subclasses:
  DimensionMismatchException, NonMonotonicSequenceException, NotANumberException, NotFiniteNumberException, NumberIsTooLargeException, NumberIsTooSmallException, OutOfRangeException, ZeroException

    public class MathIllegalNumberException
    extends MathIllegalArgumentException

Base class for exceptions raised by a wrong number. This class is not intended to be instantiated directly: it should serve as a base class to create all the exceptions that are raised because some precondition is violated by a number argument.

Since:
  2.2
Version:
  $Id: MathIllegalNumberException.java 1364378 2012-07-22 17:42:38Z tn $
See Also:
  Serialized Form

### Field Summary

Fields
`private java.lang.Number` `argument` Requested.
`private static long` `serialVersionUID` Serializable version Id.

### Constructor Summary

Constructors
`protected` `MathIllegalNumberException(Localizable pattern, java.lang.Number wrong, java.lang.Object... arguments)` Construct an exception.

### Method Summary

Methods
`java.lang.Number` `getArgument()`

### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

`getContext, getLocalizedMessage, getMessage`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    private static final long serialVersionUID

Serializable version Id.

See Also:
  Constant Field Values

#### argument

    private final java.lang.Number argument

Requested.

### Constructor Detail

#### MathIllegalNumberException

    protected MathIllegalNumberException(Localizable pattern,
                              java.lang.Number wrong,
                              java.lang.Object... arguments)

Construct an exception.

Parameters:
  `pattern` - Localizable pattern.
  `wrong` - Wrong number.
  `arguments` - Arguments.

### Method Detail

#### getArgument

    public java.lang.Number getArgument()

Returns:
  the requested value.